#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <stdio.h>
#include <X11/cursorfont.h>

Display *theDisplay;
int theScreen;
int theDepth;
unsigned long  theBlackPixel;
unsigned long theWhitePixel;
Colormap theColormap;
Cursor theCursor;

initX( theDisplayName)
char *theDisplayName;
{

  theDisplay=XOpenDisplay( theDisplayName );

  if(theDisplay==NULL)
    {
      fprintf(stderr,
	      "Error: Can't establish a connection with the X server %s.\n",
	      XDisplayName( theDisplayName ));
      exit(1);
    }
  theScreen=DefaultScreen(theDisplay);
  theDepth=DefaultDepth(theDisplay, theScreen);
  theBlackPixel=BlackPixel(theDisplay, theScreen);
  theWhitePixel=WhitePixel(theDisplay, theScreen);
  theColormap=DefaultColormap(theDisplay, theScreen);
  theCursor=XCreateFontCursor(theDisplay, XC_box_spiral);
}

getXInfo()
{
  printf("%s version %d of the X Window System, X%d R%d\n",
	 ServerVendor(theDisplay),
	 VendorRelease(theDisplay),
	 ProtocolVersion(theDisplay));
  if(theDepth==1)
    printf("Color plane depth................1 (monochrome)\n");
  else
    printf("Color plane depth................%d\n",theDepth);
  printf("Display Width................%d\n",
	 DisplayWidth(theDisplay,theScreen));
  printf("Display Height................%d\n",
	 DisplayHeight(theDisplay,theScreen));
  printf("The display %s\n", XDisplayName(theDisplay));
}
