

      Logical Function SMG_DRAW_RECTANGLE (Page, r1, c1, r2, c2)
      integer page, r1, c1, r2, c2
      character ch, rightleft*80

      data rightleft (1:40) /'----------------------------------------'/
      data rightleft(41:80) /'----------------------------------------'/
      ch='|'
      do i = r1,r2
         call Put Str (ch, 1, i, c1, 0)
         call Put Str (ch, 1, i, c2, 0)
      enddo
      i = c2-c1+1
      call Put Str (rightleft, i, r1, c1, 0)
      call Put Str (rightleft, i, r2, c1, 0)
      SMG_DRAW_RECTANGLE = .true.

      return
      end

      Logical Function SMG_DRAW_LINE (Page, r1, c1, r2, c2)
      integer page, r1, c1, r2, c2
      character ch, rightleft*80
      data rightleft (1:40) /'----------------------------------------'/
      data rightleft(41:80) /'----------------------------------------'/
      if (r1 .ne. r2) then
         ch ='|'
         do i = r1,r2
            call Put Str (ch, 1, i, c1, 0)
            call Put Str (ch, 1, i, c2, 0)
         enddo
      end if
      if (c1 .ne. c2) then
         i = c2-c1+1
         call Put Str (rightleft, i, r1, c1, 0)
         call Put Str (rightleft, i, r2, c1, 0)
      end if
      SMG_DRAW_LINE = .true.
      return
      end
      
      Logical Function SMG_ERASE_DISPLAY (Page)
      integer page, erase_display
      logical err
      i =erase_display ()
      SMG_ERASE_DISPLAY=err
      return
      end

      LOGICAL FUNCTION SMG_READ_KEYSTROKE (KBID, Ch)
      integer ch

      call getthekey(kbid)
      ch=kbid
      SMG_READ_KEYSTROKE =.true.

      return
      end

      Logical Function SMG_SET_CURSOR_ABS (Page, R, C)
      integer page, r, c, move_the_cursor
      logical err
      i =  move_the_cursor(r,c)
      SMG_SET_CURSOR_ABS=err
      return
      end

      Logical Function SMG_PUT_CHARS (Page, Characters ,len,i,j, A)
      integer page, len, a, put_the_characters
      character characters*(*)
      logical err

c      len  = lenstr(characters)
c don't want lenstr! want to use what's passed.
      i =  put_the_characters(a,characters(1:len))
      SMG_PUT_CHARS=err
      return
      end

      Logical Function SMG_CREATE_VIRTUAL_KEYBOARD (KBID)
      SMG_CREATE_VIRTUAL_KEYBOARD=.true.
      return
      end

      Logical Function 
     &     SMG_CREATE_PASTEBOARD (PBID,message,Rows,Columns)
      character*(*) message
      integer Rows,Columns
      SMG_CREATE_PASTEBOARD=.true.
      return
      end

      Logical Function 
     &     SMG_CREATE_VIRTUAL_DISPLAY (Rows, Columns, Page,i,j)
      integer page, Rows,Columns, make_a_window
      logical err
      i =  make_a_window(rows,columns)
      SMG_CREATE_VIRTUAL_DISPLAY = .true.
      return
      end

      Logical Function SMG_PASTE_VIRTUAL_DISPLAY (Page, PBID, i, j)
      integer page, pbid, i, j
      SMG_PASTE_VIRTUAL_DISPLAY=.true.
      return
      end

      Logical Function SMG_DELETE_PASTEBOARD (PBID)
      integer pbid
      SMG_DELETE_PASTEBOARD =.true.
      return
      end

      Logical Function SMG_DELETE_VIRTUAL_DISPLAY (Page)
      integer page, remove_a_window
      logical err
      i = remove_a_window()
      SMG_DELETE_VIRTUAL_DISPLAY = err
      return
      end

      Logical Function SMG_DELETE_VIRTUAL_KEYBOARD (KBID)
      SMG_DELETE_VIRTUAL_KEYBOARD =.true.
      return
      end

      subroutine LIB_SIGNAL (message)
      character*(*) message
      return
      end

      logical function smg_scroll_display_area(Page,row1,column1,
     *     i,j,k,l)
      integer page, row1,column1, scroll_down
      i = scroll_down()
      smg_scroll_display_area = .true.
      return
      end

c-----------------------------------------------------------------------------

      subroutine get_geoeas_dir(num_unit,home_name)
      character*(*) home_name, other*512
      integer num_unit, lenstr
 15   format(a)
      call system ('rm -f .home_name.x.666')
      call system ('echo $GEO_EAS > .home_name.x.666')
      open(num_unit,file='.home_name.x.666',err=665)
      read(num_unit,15) home_name
      close(num_unit,status='delete')
      goto 666
 665  call system ('rm -f /tmp/.home_name.x.666')
      call system ('echo $GEO_EAS > /tmp/.home_name.x.666')
      open(num_unit,file='/tmp/.home_name.x.666',err=667)
      read(num_unit,15) home_name
      close(num_unit,status='delete')
      goto 666
 667  print *, 'I am having trouble opening files.  Give me '
     &     //' your home directory:'
      print *, 'You can tell what it is by typing '
      print *, '           cd;pwd'
      print *, 'at the keyboard in another window.'
      read(*,15,err=666) other
      i = lenstr(other)
      call system ('rm -f '//other(1:i)//'/.home_name.x.666')
      call system ('echo $GEO_EAS > '//other(1:i)
     &     //'/.home_name.x.666')
      open(num_unit,file=other(1:i)//'/.home_name.x.666',err=666)
      read(num_unit,15) home_name
      close(num_unit,status='delete')
 666  return
      end

c------------------------------------------------------------------
 
      subroutine get_arguments(nargs,arguments,arglen,maxargs)
      integer nargs, iargc, arglen(0:maxargs)
      integer j,k
      character*(*) arguments, single*512
      nargs=iargc() + 1
      j = 1
      do 10 i = 0, min(nargs-1,maxargs)
         call getarg(i,single)
         arglen(i) = lenstr(single)
         k = j + arglen(i)
         arguments(j:k) = single(1:arglen(i))
         j = k+1
 10               continue
      return
      end
 
c-----------------------------------------------------------------------------
C
C	DUMMY SUBROUTINES FOR THE MISSING ROUTINES
C
      SUBROUTINE SETTXT
      call reset()
      END

      SUBROUTINE ZLBORG (DCODE)
cc       Sets the label origin.  The value of DCODE ranges from 1 to 9
      INTEGER*2 DCODE
      call system("xmessage -message zlborg1") 
      DCODE = 1
      call system("xmessage -message zlborg3") 
      END

      SUBROUTINE ZLOCAT (XMIN, XMAX, YMIN, YMAX)
cc       Defines the plotting boundary within the graphics screen's 
cc    absolute limits
      INTEGER*4 XMIN, XMAX, YMIN, YMAX 
      xmax = 100
      ymax = 100
      END

      SUBROUTINE SETMOD(INT)
      INTEGER*4 INT
      END

      SUBROUTINE PGRAPH
cc       Prints current graphics screen to EPSON compatible dot matrix 
cc    printer.
      END

      INTEGER*4 FUNCTION INT2(I)
      INTEGER*4 I
      int2=i
      END


      subroutine system(command)
      character*(*) command
      call sys(command)
      return
      end

c-----------------------------------------------------------------------------
 
      subroutine rand1_1(x)
      i = i + 1
      call int_seed(i)
      call randomize(x)
      return
      end
 
