cc  $LARGE
C----------------------------------------------------------------------
C PlotStat - plot statistics for STATS
C
	SUBROUTINE PlotStat
      	PARAMETER (OTHER = 0, HERC = 1, CGA = 2, EGA = 3)
	PARAMETER (COLOR = 0, MONO = 1)

		INCLUDE 'stats.dec'

	INTEGER*4	Row, Col
	CHARACTER*8	Ifmt, Rfmt
	CHARACTER*13	NumStr 
	CHARACTER*1	NULCH
      	REAL*4          X, Y, My
	character   ich*24, scratch*24

      	Ifmt = '(I12)'
	Rfmt = '(F13.3)'
      	NULCH = CHAR (0)


          My   = ABS (Ymax - Ymin) * (.065)
          X    = Xmax + ABS (Xmax - Xmin) * .01
          Y    = Ymax
	  CALL Zlborg (INT2 (2))
          CALL Zmove (X, Y)
cc	  CALL Zlabel ('  S t a t i s t i c s ')
	  ich = '   S t a t i s t i c s :'
	  CALL Zlabel (ich)
          Y = Y - My*1.5

          WRITE (Numstr,Ifmt) Ndata
          CALL Zmove (X, Y)
	  scratch = '   N Total :'//Numstr
	  CALL Zlabel (scratch)
cc	  CALL ZLABEL ('   N Total :'//Numstr//NULCH)
          Y = Y - My

          WRITE (Numstr,Ifmt) Nmiss 
          CALL Zmove (X, Y)
	  scratch = '   N Miss  :'//Numstr
	  CALL Zlabel (scratch)
cc	  CALL Zlabel ('   N Miss  :'//Numstr//NULCH)
          Y = Y - My

          WRITE (Numstr,Ifmt) Nkept 
          CALL Zmove (X, Y)
	  scratch = '   N Used  :'//Numstr
	  CALL Zlabel (scratch)
cc	  CALL Zlabel ('   N Used  :'//Numstr//NULCH)
          Y = Y - My*1.5

          WRITE (Numstr,Rfmt) Mean 
          CALL Zmove (X, Y)
	  scratch = '   Mean    :'//Numstr
	  CALL Zlabel (scratch)
cc	  CALL Zlabel ('   Mean    :'//Numstr//NULCH)
          Y = Y - My

          WRITE (Numstr,Rfmt) Variance 
          CALL Zmove (X, Y)
	  scratch = '   Variance:'//Numstr
	  CALL Zlabel (scratch)
cc	  CALL Zlabel ('   Variance:'//Numstr//NULCH)
          Y = Y - My

          WRITE (Numstr,Rfmt) StDev 
          CALL Zmove (X, Y)
	  scratch = '   Std. Dev:'//Numstr
	  CALL Zlabel (scratch)
cc	  CALL Zlabel ('   Std. Dev:'//Numstr//NULCH)
          Y = Y - My

          WRITE (Numstr,Rfmt) CoefVar 
          CALL Zmove (X, Y)
	  scratch = '   %Cof.Var:'//Numstr
	  CALL Zlabel (scratch)
cc	  CALL Zlabel (' % Coef.Var:'//Numstr//NULCH)
          Y = Y - My

          WRITE (Numstr,Rfmt) Skewness 
          CALL Zmove (X, Y)
	  scratch = '   Skewness:'//Numstr
	  CALL Zlabel (scratch)
cc	  CALL Zlabel ('   Skewness:'//Numstr//NULCH)
          Y = Y - My

          WRITE (Numstr,Rfmt) Kurtosis 
          CALL Zmove (X, Y)
	  scratch = '   Kurtosis:'//Numstr
	  CALL Zlabel (scratch)
cc	  CALL Zlabel ('   Kurtosis:'//Numstr//NULCH)
          Y = Y - My*1.5
  
          WRITE (Numstr,Rfmt) Min 
          CALL Zmove (X, Y)
	  scratch = '   Minimum :'//Numstr
	  CALL Zlabel (scratch)
cc	  CALL Zlabel ('   Minimum :'//Numstr//NULCH)
          Y = Y - My

          WRITE (Numstr,Rfmt) Q1 
          CALL Zmove (X, Y)
	  scratch = '   25th %  :'//Numstr
	  CALL Zlabel (scratch)
cc	  CALL Zlabel ('   25th %  :'//Numstr//NULCH)
          Y = Y - My

          WRITE (Numstr,Rfmt) Median 
          CALL Zmove (X, Y)
	  scratch = '   Median  :'//Numstr
	  CALL Zlabel (scratch)
cc	  CALL Zlabel ('   Median  :'//Numstr//NULCH)
          Y = Y - My

          WRITE (Numstr,Rfmt) Q3 
          CALL Zmove (X, Y)
	  scratch = '   75th %  :'//Numstr
	  CALL Zlabel (scratch)
cc	  CALL Zlabel ('   75th %  :'//Numstr//NULCH)
          Y = Y - My

          WRITE (Numstr,Rfmt) Max 
          CALL Zmove (X, Y)
	  scratch = '   Maximum :'//Numstr
	  CALL Zlabel (scratch)
      	RETURN
	END

	




