cclong magic number 4 in do loop below:
cc DO 10 I = 1, 4

C Checkpar.for
C----------------------------------------------------------------------
C Check Parms - checks kriging parameters for XVALID
C	      - also calculates GamMax - maximum sill value

      SUBROUTINE Check Parms
      IMPLICIT INTEGER*4 (A-Z)
      
      include 'xvalid.dec'
      include '../common/screen.str'
      
      INTEGER*4 Fld Index
      LOGICAL   Error
      
 5    Error = .FALSE.
      GamMax = Nugget
      DO 10 I = 1, 4
         IF (Mtype (I) .NE. 0) GamMax = GamMax + Sill (I)
         IF (Mtype (I) .EQ. 4) THEN
            IF (VrMajor (I) .LT. SrMajor) THEN
          CALL Flash (20, 2, 'ERROR - Linear model needs smaller range')
               Error = .TRUE.
            ENDIF
         ENDIF  
 10   CONTINUE
      IF (GamMax .LE. 0.0 .OR. Error) THEN
         CALL Flash (20, 2, 'Set Model parameters (press any key)')
         Next Field = Fld Index ('VM NUGGET')
         CALL Get Field Group
         GOTO 5
      ENDIF
      
      IF (SrMajor .LE. 0.0 .OR. SrMinor .LE. 0.0) THEN
         CALL Flash (20, 2, 'Set Search parameters (press any key)')
         Next Field = Fld Index ('SE RMAJOR')
         CALL Get Field Group
         GOTO 5
      ENDIF
      
      RETURN
      END

