c ----------------------------------------------------------------------
C PlotStat - plot statistics for XVALID
C

	SUBROUTINE PlotStat (DevCode, TxMin, TxMax, TyMin, TyMax,
     +			     Ndata, ZNmiss, ZN,
     +			     Zmean, Zstd, 
     +			     Zmin, ZQ1, Zmedian, ZQ3, Zmax)

	IMPLICIT INTEGER*4 (A-Z)
        PARAMETER (OTHER = 0, HERC = 1, CGA = 2, EGA = 3)

        REAL*4      TxMin, TxMax, TyMin, Tymax
	REAL*4		Zmean, Zstd, Zmin, ZQ1, Zmedian, ZQ3, Zmax
	INTEGER*4	Ndata, ZNmiss, ZN, DevCode

	INTEGER*4	Row, Col
	CHARACTER	Ifmt*8, Rfmt*8, Gfmt*8, NumStr*13, NULCH*1
	REAL*4		X, Y, My 
cclong
	character	ich*22, scratch*21, massage*72
cc	
        DATA	Ifmt /'(I13)'  /
	DATA	Rfmt /'(F13.3)'/
        NULCH 	= '0'

cc	call zscale (2*txmax,2*txmax,2*tymin,2*tymax)
        IF (DevCode .NE. HERC) THEN
          Row = 5 
	  Col = 57
	  CALL Locate Cursor (Row, Col)
	  CALL Put Characters ('  S t a t i s t i c s ', 22, 0)

          WRITE (Numstr,Ifmt) Ndata
	  CALL Locate Cursor (Row+2, Col)
	  CALL Put Characters ('N Total:'//Numstr, 21, 0)

          WRITE (Numstr,Ifmt) ZNmiss 
	  CALL Locate Cursor (Row+3, Col)
	  CALL Put Characters ('N Miss :'//Numstr, 21, 0)

          WRITE (Numstr,Ifmt) ZN
	  CALL Locate Cursor (Row+4, Col)
	  CALL Put Characters ('N Used :'//Numstr, 21, 0)

          WRITE (Numstr,Rfmt) ZMean 
	  CALL Locate Cursor (Row+6, Col)
	  CALL Put Characters ('Mean   :'//Numstr, 21, 0)

          WRITE (Numstr,Rfmt) Zstd 
	  CALL Locate Cursor (Row+7, Col)
	  CALL Put Characters ('Std Dev:'//Numstr, 21, 0)

          WRITE (Numstr,Rfmt) ZMin 
	  CALL Locate Cursor (Row+9, Col)
	  CALL Put Characters ('Minimum:'//Numstr, 21, 0)

          WRITE (Numstr,Rfmt) ZQ1 
	  CALL Locate Cursor (Row+10, Col)
	  CALL Put Characters ('25th % :'//Numstr, 21, 0)

          WRITE (Numstr,Rfmt) ZMedian 
	  CALL Locate Cursor (Row+11, Col)
	  CALL Put Characters ('Median :'//Numstr, 21, 0)

          WRITE (Numstr,Rfmt) ZQ3 
	  CALL Locate Cursor (Row+12, Col)
	  CALL Put Characters ('75th % :'//Numstr, 21, 0)

          WRITE (Numstr,Rfmt) ZMax 
	  CALL Locate Cursor (Row+13, Col)
	  CALL Put Characters ('Maximum:'//Numstr, 21, 0)

        ELSE
          X    = TXmax + ABS (TXmax - TXmin) * .01
          My   = ABS (TYmax - TYmin) * .075
          Y    = TYmax - My 
          CALL Zlborg (INT2 (2))
          CALL Zmove (txmax,tymax)
	  ich = '  S t a t i s t i c s '
	  CALL Zlabel (ich)
          Y = Y - My*1.5

          WRITE (Numstr,Ifmt) Ndata
          CALL Zmove (X, Y)
	  scratch = 'N Total:'//Numstr
	  call zlabel(scratch)
          Y = Y - My
	  
          WRITE (Numstr,Ifmt) ZNmiss 
          CALL Zmove (X, Y)
	  scratch = 'N Miss :'//Numstr
	  call zlabel(scratch)
          Y = Y - My
	  
          WRITE (Numstr,Ifmt) ZN
          CALL Zmove (X, Y)
	  scratch = 'N Used :'//Numstr
	  call zlabel(scratch)

          Y = Y - My*1.5
	  
          WRITE (Numstr,Rfmt) ZMean 
          CALL Zmove (X, Y)
	  scratch = 'Mean   :'//Numstr
	  call zlabel(scratch)
          Y = Y - My
	  
          WRITE (Numstr,Rfmt) ZStD 
          CALL Zmove (X, Y)
	  scratch = 'Std Dev:'//Numstr
	  call zlabel(scratch)
          Y = Y - My*1.5
	  
          WRITE (Numstr,Rfmt) ZMin 
          CALL Zmove (X, Y)
	  scratch = 'Minimum:'//Numstr
	  call zlabel(scratch)
          Y = Y - My
	  
          WRITE (Numstr,Rfmt) ZQ1 
          CALL Zmove (X, Y)
	  scratch = '25th % :'//Numstr
	  call zlabel(scratch)
          Y = Y - My
	  
          WRITE (Numstr,Rfmt) ZMedian 
          CALL Zmove (X, Y)
	  scratch = 'Median :'//Numstr
	  call zlabel(scratch)
          Y = Y - My
	  
          WRITE (Numstr,Rfmt) ZQ3 
          CALL Zmove (X, Y)
	  scratch = '75th % :'//Numstr
	  call zlabel(scratch)
          Y = Y - My
	  
          WRITE (Numstr,Rfmt) ZMax 
          CALL Zmove (X, Y)
	  scratch = 'Maximum:'//Numstr
	  call zlabel(scratch)
        ENDIF
cclong
ccc	massage = 'Please change to VT mode, and hit return.'
ccc	call zmove (txmin, tymax + (tymax - tymin)*2/9.0)
ccc	call zlabel(massage)
        RETURN
	END



