#!/bin/sh

cat << EOF

	We're going to decompress a big postscript file
		 $GEO_EAS/doc/doc.ps.gz
using gzcat, and put it in your machine's /tmp directory.  Hang on!

EOF

if test -f /tmp/geoeas.doc.ps
then
	ghostview -display $DISPLAY /tmp/geoeas.doc.ps
else
	gzcat $GEO_EAS/doc/doc.ps.gz > /tmp/geoeas.doc.ps
	if test -f /tmp/geoeas.doc.ps
	then
		ghostview -display $DISPLAY /tmp/geoeas.doc.ps
	else

		cat << EOF

	Sorry: either we weren't able to either
		a) use gzcat,
		b) create a file in directory /tmp,
		c) or do something else!
We intended to show you the file $GEO_EAS/doc.ps.gz, but weren't able.

EOF
		sleep 10
	fi
fi
/bin/rm -f /tmp/geoeas.doc.ps

