#include <X11/Xlib.h>
#include <X11/Xutil.h>

int xi, yi;
extern Display *theDisplay;
/* 6/26/93 */
extern XWindowAttributes theAttribs;
/* 6/26/93 */

#define EV_MASK (ButtonPressMask| \
		KeyPressMask| \
		ExposureMask| \
		StructureNotifyMask)

eventLoop(theWindow,theGC,keynum)
     Window theWindow;
     GC theGC;
     int *keynum; 

{
  int             xpost,ypost,width,height;
  int             geometryStatus;
  char            theGeometry[128];
  int check;
  XEvent theEvent;

/*  if (*keynum == 666) return(0); */
  XNextEvent(theDisplay, &theEvent);
  switch(theEvent.type)
    {
    case Expose:
/* 
6/26/93
new: trying to get the window to resize 
And added the if according to the book
Introduction to the X Window System, page 23.
*/
      if (theEvent.xexpose.count == 0)
	{
	  refresherWindow( theEvent.xany.window);
	  *keynum = 401;
	  return(0);
	  break;
	}
    case MapNotify:

      /* 6/26/93 
      refresherWindow( theEvent.xany.window );
      6/26/93 */

      *keynum = 402;
      return(0);
      break;

    case MappingNotify:
      XRefreshKeyboardMapping( &theEvent ); 

      /* 6/26/93 
	 refresherWindow( theEvent.xany.window );
	 6/26/93 */

      *keynum = 403;
      return(0);
      break;

      /* 6/28/93 
    case ConfigureNotify:
      refresherWindow( theEvent.xany.window );
      *keynum = 404;
      return(0);
      break;
      6/28/93 */

    case ButtonPress:
      switch(theEvent.xbutton.button)
	{
	case 1: 
	  *keynum = 840;
	  break;
	case 2: 
	  *keynum = 27;
	  break;
	case 3: 
	  *keynum = 800;
	  break;
	}
      xi = theEvent.xkey.x;
      yi = theEvent.xkey.y;
      return(0);
      break;
    case KeyPress:
      check = processKeyPress(&theEvent,keynum);
      if (*keynum == 0) check = 1;
      return(check); 
      break;
    }
  return(1);
}


initEvents(theWindow)
     Window theWindow;
{
  XSelectInput(theDisplay,
	       theWindow,
	       EV_MASK);
}



refreshWindow(theExposedWindow)
     Window theExposedWindow;
{
  XGetWindowAttributes(theDisplay,
	       theExposedWindow,
		       &theAttribs);
}


