cc $LARGE
C Ginv.for
C----------------------------------------------------------------------
C Function Ginv - Inverse gaussian distribution function for 
C                 probability plot
 
        REAL*4 FUNCTION Ginv (P)
        REAL*4 C0, C1, C2, D1, D2, D3, P, PP, T , T2, T3 
        real*8 ttt

        DATA C0/2.515517/, C1/.802853/, C2/.010328/
        DATA D1/1.432788/, D2/.189269/, D3/.001308/

        IF (P .LT. 0.0) THEN
           Ginv = -1.E30
        ELSE IF (P .GT. 1.0) THEN
           Ginv = 1.E30
        ELSE
           PP   = P 
           IF (PP .GE. 0.5) PP = 1.0 - PP
cc           T    = SQRT ( LOG ( 1.0 / (PP * PP)))
           ttt = 1.0 / (PP * PP)
           t =dLOG(ttt)
           t = sqrt(t)
cc for compatibility with Greenhills
           T2   = T * T
           T3   = T2 *  T
           Ginv = T - (C0 + C1*T + C2*T2) /
     +                (1. + D1*T + D2*T2 + D3*T3)
           IF (PP .EQ. P) Ginv = -Ginv
        ENDIF
        RETURN
        END


